getNasVolumeSnapshotConfigurationHistoryList

Prev Next

Available in VPC

View the snapshot configuration history of a NAS volume instance.

Requests

The following describes the request format for the endpoint. The request format is as follows.

Method URI
GET | POST /vnas/v2/getNasVolumeSnapshotConfigurationHistoryList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all NAS (VPC) APIs, see NAS (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
nasVolumeInstanceNo String Required Unique number of the NAS volume instance
regionCode String Optional Region code
responseFormatType String Optional Format type of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vnas/v2/getNasVolumeSnapshotConfigurationHistoryList
?nasVolumeInstanceNo=00000000
&regionCode=KR
&responseFormatType=xml' \
--header 'x-ncp-apigw-timestamp: {timestamp}' \
--header 'x-ncp-iam-access-key: {access key}' \
--header 'x-ncp-apigw-signature-v2: {API gateway signature}'

Responses

The following describes the response format.

Response body

See NasVolumeSnapshotConfigurationHistoryList for the response body.

Response status codes

For information about the HTTP status codes common to all NAS (VPC) APIs, see NAS (VPC) response status codes.

Response example

The following is a sample response.

<?xml version="1.0" encoding="UTF-8"?>
<getNasVolumeSnapshotConfigurationHistoryListResponse>
    <requestId></requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>0</totalRows>
    <nasVolumeSnapshotConfigurationHistoryList/>
</getNasVolumeSnapshotConfigurationHistoryListResponse>